> For the complete documentation index, see [llms.txt](https://docs.kognitos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kognitos.com/legacy/legacy-experience/automation-areas/excel-v2/convert-an-excel-to-a-pdf/create-an-excel-file.md).

# Create an Excel File

### Overview

This procedure create a **new Excel file** *(workbook)*. Worksheet names can be optionally specified to add empty worksheets.

### Syntax

Below is a line-by-line overview of the automation syntax. Expand each line to learn more.

<details>

<summary><code>create an excel where</code></summary>

#### What does it do?

Initializes the creation of an Excel File.

#### Where does it go?

This phrase should be written on a **new line**.

#### Is it required?

✅ Yes — This phrase is **required**.

#### Does it require data?

❌ No — This phrase does not require data.

</details>

<details>

<summary><code>the file name is "workbook-name.xlsx"</code></summary>

#### What does it do?

Specifies the name of the Excel file to create.

#### Where does it go?

Indented under `create an excel where`.

#### Is it required?

✅ Yes — This phrase is **required**.

#### Does it require data?

✅ Yes — Replace **workbook-name.xlsx** with a text value.

#### Example

```
the file name is "my_workbook.xlsx"
```

</details>

<details>

<summary><code>the worksheet names are "worksheet-name1", "worksheet-name2", "worksheet-name3"</code></summary>

#### What does it do?

Specifies the names of the worksheets to create in the Excel file.

#### Where does it go?

Indented under `create an excel where`.

#### Is it required?

❌ No — This phrase is **optional**.

#### Does it require data?

✅ Yes — Replace **worksheet-name1, worksheet-name2, worksheet-name3** with the names of the worksheets to be added. You can specify **one** worksheet name or **multiple** worksheet names separated by a comma.

#### Example

```
the worksheet names are "Flights", "Purchases", "Sales"
```

</details>

### Examples

#### 1. Create Excel with Multiple Worksheets

```
create an excel where
    the file name is "my_workbook.xlsx"
    the worksheet names are "Sheet1", "Sheet2", "Data"
```

#### 2. Create Excel with Single Worksheet

```
create an excel where
    the file name is "single_sheet_test.xlsx"
    the worksheet names are "Sheet1"
```

#### 3. Create Excel with Default Worksheet

```
create an excel where
    the file name is "simple_workbook.xlsx"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kognitos.com/legacy/legacy-experience/automation-areas/excel-v2/convert-an-excel-to-a-pdf/create-an-excel-file.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
